BackTrack / KaliLinux. Задай вопрос - получи ответ

Discussion in 'Linux, Freebsd, *nix' started by Freedom, 25 Nov 2008.

  1. Zen1T21

    Zen1T21 Member

    Joined:
    13 Jan 2013
    Messages:
    157
    Likes Received:
    37
    Reputations:
    2
    Хендшейк, который ты брутил, мог и не быть паролем от точки, например пользователь, которого ты отключал чтобы получить хеш паса мог случайно ошибиться при вводе пароля и соответственно ложный хеш ну и пароль соответственно.
     
  2. wanttoask

    wanttoask New Member

    Joined:
    30 Sep 2012
    Messages:
    81
    Likes Received:
    1
    Reputations:
    0
    На бт5р3 запускаю апач и майскул сервер. Когда на локалхосте открываю пхпмайадмин, вхожу, и он пишет Connection for controluser as defined in your configuration failed.
     
  3. b3

    b3 Moderator

    Joined:
    5 Dec 2004
    Messages:
    2,002
    Likes Received:
    899
    Reputations:
    198
    Я так понимаю phpmyadmin не была установлена из репов а просто стянута wget'ом и закинута в /var/www ? В таком случае установи с репов, потому что phpmyadmin требует своего пользователя и наличие своей базы в БД.

    Вообще решение гуглиться:
    http://stackoverflow.com/questions/11506224/connection-for-controluser-as-defined-in-your-configuration-failed-phpmyadmin-xa
     
    _________________________
  4. wanttoask

    wanttoask New Member

    Joined:
    30 Sep 2012
    Messages:
    81
    Likes Received:
    1
    Reputations:
    0
    Нет, я его установил через synaptic
     
  5. b3

    b3 Moderator

    Joined:
    5 Dec 2004
    Messages:
    2,002
    Likes Received:
    899
    Reputations:
    198
    Ну тогда по ссылке есть подробности, конфигурируй, проверяй пользователя итд.
     
    _________________________
  6. ZEPHYR

    ZEPHYR Member

    Joined:
    31 May 2013
    Messages:
    211
    Likes Received:
    7
    Reputations:
    5
    Народ, помогите с Metasploit в Kali. Вот его ругань:
    Failed to connect to the database: FATAL: password authentication failed for user "msf3"
    FATAL: password authentication failed for user "msf3"


    msf > db_status[*] postgresql selected, no connection

    Проблема после обновки и, как я понял, не только у меня.
    Вопрос решил, всем спасибо....
     
    #946 ZEPHYR, 25 Sep 2013
    Last edited: 26 Sep 2013
  7. X-3

    X-3 Member

    Joined:
    28 Mar 2009
    Messages:
    306
    Likes Received:
    58
    Reputations:
    -2
    Ну так опиши решение, может еще кому пригодится.
     
  8. xelario

    xelario Member

    Joined:
    7 Aug 2013
    Messages:
    88
    Likes Received:
    37
    Reputations:
    0
    Операция взлома wi-fi на Intel(R) Centrino(R) Advanced-N 6235 поддерживается или придется покупать TP-LINK TL-WN722NC ?
     
  9. ZEPHYR

    ZEPHYR Member

    Joined:
    31 May 2013
    Messages:
    211
    Likes Received:
    7
    Reputations:
    5
    Просто обновил Metasploit через систему и проблема сама отпала...ну, и докидал остальное типа sipvicious по новой....
     
  10. whiteriders

    whiteriders New Member

    Joined:
    8 Apr 2013
    Messages:
    45
    Likes Received:
    0
    Reputations:
    0
    ZEPHYR, ты про метасплойт в Кали говоришь?
    у меня такая проблема, скачал новый Метасплойт, установил, зарегистрировал мыло, получил бесплатный код... Куда вводить код так и не обнаружил, заработало... Пару дней пользовался консолью, и после первого удачного использования эксплойта стало отсылать на веб-интерфейс... в браузере надпись, типа "через несколько минут вас отправят на страницу активации" и в течение пары часов так ничего и не произошло... пришлось снести новый и установить архаичный из репозиториев... но это всё в BT5...
    вот хочу узнать, это БТ не поддерживает новый Метасплойт, или руки у меня такие?
     
  11. ZEPHYR

    ZEPHYR Member

    Joined:
    31 May 2013
    Messages:
    211
    Likes Received:
    7
    Reputations:
    5
    Да, в Кали. Ты, наверное, поставил metasploit pro с триалом на неделю. Я не вижу смысла его качать в спецдистрах,где он уже стоти, так как он обновляется без проблем и так. msfupdate или через системное обновление программ.
     
  12. whiteriders

    whiteriders New Member

    Joined:
    8 Apr 2013
    Messages:
    45
    Likes Received:
    0
    Reputations:
    0
    так вот у меня всё началось с того, что переустановил БТ, решил сделать msfupdate, всё перекосило и перестало работать... Скачал не ПРО, а бесплатную (вродебы)... Теперь в итоге вернул репозитарную древнюю версию, обновлять боюсь)))
     
  13. ZEPHYR

    ZEPHYR Member

    Joined:
    31 May 2013
    Messages:
    211
    Likes Received:
    7
    Reputations:
    5
    А почему не перейти на Kali?Там все на много проще+это Дэбиан+почищено от хлама+много. Или, например, на такую версию(здесть даже ботнеты и антивири топовые для проверки есть+криптеры, джойнеры и тд=есть с чем поиграться)КЛИК
     
    1 person likes this.
  14. DarkMist

    DarkMist Elder - Старейшина

    Joined:
    20 Feb 2007
    Messages:
    197
    Likes Received:
    21
    Reputations:
    0
    Зефир полностью прав!!! после недолгих битий головой об ВТ5 я полез на офф форум где написано--- The BackTrack forums are now closed !

    Due to the migration of BackTrack to our new project Kali-Linux. The forums have been closed to both new registrations and posts.


    Вот и все!! Кароль умер- Да здраствует Король!!!!!
     
  15. whiteriders

    whiteriders New Member

    Joined:
    8 Apr 2013
    Messages:
    45
    Likes Received:
    0
    Reputations:
    0
    Дорогой и Уважаемый ZEPHYR!)
    Спасибо, что продолжаете радовать нас ссылками на тематические линуксовые сборки) WarCarrier не осилил, а вот BUGTRAQ пришёлся по вкусу)))
    Kali стоит у меня в качестве основной ОС на двух компах, но честно говоря совсем не по душе он мне... не понимаю я его))) А на варбуке всегда пользовался Backtrackом, привык очень, люблю))) хоть и имел с ним ряд мелких, но неразрешимых (для меня) проблем, типа того, что не видится звуковуха и не могу установить GoogleChrome.
    Для поддержания преемственности качнул BQ на Ubuntu (32bit)
    ZEPHYR прошу не злиться, знаю твоё отношение к Debian, задам несколько вопросов, надеюсь общими усилиями найдём правильные ответы)
    Самая основная проблема - не работает reaver, вернее wash не сканирует... пробовал преустановить как сказано в теме о KaliLinux, и из репозитория и исходники скачал... не работает...
    и второе, с чем столкнулся - нельзя сидеть под root'ом... знаю, что это неправильно, но просьбу ввести sudo-пароль воспринимаю как личное оскорбление))) особенно, если находишься на "операции"
    очень надеюсь на подсказки, сам пока решить эти проблемы не смог.
     
    #955 whiteriders, 28 Oct 2013
    Last edited: 28 Oct 2013
  16. ZEPHYR

    ZEPHYR Member

    Joined:
    31 May 2013
    Messages:
    211
    Likes Received:
    7
    Reputations:
    5
    Спасибо за добрые слова.
    На счет wash ничего сказать не могу, потому что на Кали его никогда не пользовал. Но есть альтернатива-WiFite, где тоже видно точки с wps. А на счет root мне все кажется очень странным, так как там и так все от рута по умолчанию(как и БТ). На вскидку кажется, что ты просто заходишь от обычного пользователя(то есть создал профиль под него). Можно попробовать создать профиль админа:
    sudo passwd root(задаем пароль и при входе выбираем "Другой"+наш пароль). Так же пробуй(до всего этого) sudo su или просто su и пароль. Но у меня, как всегда, есть и радикальный МЕТОД
    А на счет Дэбиан, да, самый"правильный" дистр, как по мне(не считая Генты)
     
  17. Gelo

    Gelo New Member

    Joined:
    4 May 2013
    Messages:
    42
    Likes Received:
    2
    Reputations:
    1
    Если что-то из железа не работает делаем lspci находим там неработающее оборудование и добавляем модуль от него к ядру. (погуглишь найдешь подробно)

    Насколько помню reaver это для взлома вафли. Посмотри поддерживает ли твоя сетевуха такое.

    sudo apt-get install chromium-browser

    если не найдется пакет то сделай sudp apt-cache search chrome выберешь нужный пакет и поставишь. Просьбу ввести пароль от sudo можно отключить.

    sudo vim /etc/sudoers

    добавь параметр NOPASSWD:ALL
     
  18. whiteriders

    whiteriders New Member

    Joined:
    8 Apr 2013
    Messages:
    45
    Likes Received:
    0
    Reputations:
    0
    Gelo, спасибо, насчёт железа и sudo попробую вечером.
    chromium browser у меня стоит, но там нет flash плеера, да и вообще, хочется именно googlechrome.
    reaver для wifi, да. Адаптер поддерживает, в BackTrack всё работает отлично, а вот в Bugtraq - нивкакую...

    ZEPHYR, твой радикальный метод на картинках красив, но у меня варбук 32bit, а этот дистр 64... Блин, Bugtraq очень понравился на самом деле, но reaver всё обламывает... у меня просто к нему скриптик есть, тот самый, из wifislax - WPSPinGenerator) очень мне с ним везёт)))
     
  19. ZEPHYR

    ZEPHYR Member

    Joined:
    31 May 2013
    Messages:
    211
    Likes Received:
    7
    Reputations:
    5
    Я думал ты на счет Кали говорил....я и в bugtraq его не пробовал....зачем, если есть на палке wifislax? Ты со временем увидишь все его достоинства).....проверяй wififte, а руби своим ривером....по моему самый быстрый и эффективный метод в твоем случае....а вот пароль я бы все-таки не стал отключать, если ты на ней висеть собираешься....подумай...
     
  20. whiteriders

    whiteriders New Member

    Joined:
    8 Apr 2013
    Messages:
    45
    Likes Received:
    0
    Reputations:
    0
    [censored] что же это делается, друзья?!) не справившись с ривером в Bugtraq (ubuntu 32), решил попробовать ту же сборку, но на debian... ZEPHYR, опять обращаюсь к тебе) это же ужас!))) он ставится с каким-то новым GNOME'ом, в котором, ****, только одна (!) кнопка, после нажатия на которую появляется хоть какое-то ушлёпское меню [было ещё много слов тут, но стёр...]
    Признаюсь, увидев такой рабочий стол, я стёр всё с палки, скачал заново этот же дистрибутив и загрузился опять, в надежде, что на этот раз появится меню Aplications, Places и иконка терминала... но нет... оказывается гном теперь такой... блять... пришлось запустить справку и почитать, что хоть тут можно сделать... я против такого интерфейса честно говоря...
    ну как бы ладно, я-то хотел всего лишь проверить работоспособность wash из debian... и вот тут новые препоны: airmon-ng не запускается, говорит, что надо IW скачать и установить... нет слов у меня больше)))
     
Loading...